// AMcmdLogoff.cpp: implementation of the AMcmdLogoff class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "AMcmdLogoff.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

AMcmdLogoff::AMcmdLogoff()
{

}

AMcmdLogoff::~AMcmdLogoff()
{

}

AMcmdLogoff::AMcmdLogoff(AMcmd* parent)
{
	m_parent = parent;
}

int AMcmdLogoff::Parse(AMcmd* parent)
{
	m_parent = parent;

	Execute();

	return 0;
}

TCHAR* AMcmdLogoff::GetName()
{
	return _T("LOGOFF");
}

void AMcmdLogoff::DisplayHelp()
{
	PRINTTERM(_T("LOGOFF has no parameters\n"));
}

int AMcmdLogoff::Execute()
{
	AMRETURN rc;

	rc = theDbc.Logoff();

	if (rc == AM_SUCCESS)
	{
		PRINTTERM(_T("Logoff ok\n"));
	}
	else
	{
		Error(rc);
	}

	return rc;
}

void AMcmdLogoff::Error(int err)
{
	switch (err)
	{
	case AM_ERR_NOT_LOGGED_ON:
		PRINTTERM (_T("You are not logged on\n"));
		break;
	default:
		PRINTTERM (_T("Error %d\n"), err);
		break;
	}
}
