// AMscheduler.h: interface for the AMscheduler class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AMSCHEDULER_H__8CF7D906_4E49_11D4_BDB4_00A0C9258D4B__INCLUDED_)
#define AFX_AMSCHEDULER_H__8CF7D906_4E49_11D4_BDB4_00A0C9258D4B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "AMconnection.h"
#include <time.h>

class AMLIB_API AMscheduler : public AMconnection  
{
public:
	AMscheduler();
	virtual ~AMscheduler();

	U32 Run(TCHAR*, TCHAR*, TCHAR*);
private:
	int m_deltaRun;
	int m_lastServiceDay; 
	int m_lastServiceMonth; 
	int m_lastServiceYear; 
	int m_serviceHour;
	time_t m_lastRun;
	void CleanUpLog();
	void CleanUpEventLog();
	void CheckUnusedAccounts();
	AMBOOL IsServiceTime();
	void StoreServiceTime();
	void SleepUntilNextTime();
	AMBOOL MoreJobs();
	void DoNextJob();
	SCHEDULE m_nextJob;
};

#endif // !defined(AFX_AMSCHEDULER_H__8CF7D906_4E49_11D4_BDB4_00A0C9258D4B__INCLUDED_)
