// AMinGroupList.h: interface for the AMwkstList class.
//
// Enumerates NT users or groups
// Isolates all user ang group enumeration for AMconfig
// Portto other than NT needs code change
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AMinUserList_INCLUDED)
#define AFX_AMinUserList_INCLUDED

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef WIN32
#include <lmaccess.h>
#include <lmerr.h>
#include <lmapibuf.h>
#include <lmserver.h>
#endif

#include "AMroot.h"
#include "AMlib.h"

class AMLIB_API AMinUserList : public AMroot  
{
public:
	AMRETURN Reset(TCHAR*);
	AMRETURN QueryNext(TCHAR**, U32*);
	AMRETURN Reset(TCHAR*, TCHAR*);
	AMinUserList();
	virtual ~AMinUserList();

private:
	AMRETURN MoreUsers();
	WCHAR m_server[AM_UNLEN];
	WCHAR m_group[AM_UNLEN];
	U32 m_avail;
	U32 m_returned;
	U32 m_resume;
#ifdef WIN32
	GROUP_USERS_INFO_0 *m_info0;
#endif
};

#endif // !defined(AFX_AMinUserList_H__D17EB880_586B_428D_906B_F616F9296E7E__INCLUDED_)
