// AMplus.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "AMcmd.h"
#include "AMcmdLogon.h"
#include "AMcmdLogoff.h"
#include "AMcmdShowLog.h"
#include "AMcmdImport.h"
#include "AMcmdExit.h"
#include "AMcmdHelp.h"

AMconnection theDbc;

int _cdecl main(int argc, char* argv[])
{

	AMcmd cmd;
	AMcmdLogon logon;
	AMcmdLogoff logoff;
	AMcmdExit exit;
	AMcmdHelp help;
	AMcmdShowLog log;
	AMcmdImport imp;

	cmd.RegisterCmd(&logon);
	cmd.RegisterCmd(&logoff);
	cmd.RegisterCmd(&exit);
	cmd.RegisterCmd(&help);
	cmd.RegisterCmd(&log);
	cmd.RegisterCmd(&imp);

	printf("Welcome to AMplus, the demo how to program against the AMlib library\n");
	printf("This example shows you how to import data from your old NetOp Access Server.\n");
	printf("Export the 3 txt files from the AS config program, then exit and rerun this.\n");
	printf("The C++ source code for this program is available as file AMplus.zip.\n");
	printf("Feel free to modify it as you wish. It is a MS Visual Studio Project.\n");
	printf("Help is available. Type exit to stop program.\n");
	if (argc < 2)
	{
		TCHAR buf[1024];

		while (cmd.IsReadyForMore() != 0)
		{
			printf("AMplus> ");
			READTERM(buf);
			cmd.Parse(buf);
		}
	}
	else
	{
		printf("Command line parameters not implemented\n");
	}
	return 0;
}

