// AMuserList.h: interface for the AMwkstList class.
//
// Enumerates NT users or groups
// Isolates all user ang group enumeration for AMconfig
// Portto other than NT needs code change
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AMuserList_H__D17EB880_586B_428D_906B_F616F9296E7E__INCLUDED_)
#define AFX_AMuserList_H__D17EB880_586B_428D_906B_F616F9296E7E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef WIN32
#include <lmaccess.h>
#include <lmerr.h>
#include <lmapibuf.h>
#include <lmserver.h>
#endif

#include "AMroot.h"
#include "AMlib.h"

class AMLIB_API AMuserList : public AMroot  
{
public:
	AMRETURN ReturnUsers();
	AMRETURN ReturnGroups();
	AMRETURN QueryNext(TCHAR**, U32*);
	AMRETURN Reset(TCHAR*);
	AMuserList();
	virtual ~AMuserList();

private:
	U32 m_type;
	AMRETURN MoreUsers();
	WCHAR m_server[AM_UNLEN];
	U32 m_avail;
	U32 m_returned;
	U32 m_resume;
#ifdef WIN32
	USER_INFO_20 *m_info20;
	GROUP_INFO_2 *m_info2;
#endif
};

#endif // !defined(AFX_AMuserList_H__D17EB880_586B_428D_906B_F616F9296E7E__INCLUDED_)
